/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail;

/**
 * MBean interface.
 */
public interface MailServiceMBean extends org.jboss.system.ServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss:type=Service,service=Mail");

   /**
    * User id used to connect to a mail server
    * @see #setPassword
    */
   void setUser(java.lang.String user);

   java.lang.String getUser();

   /**
    * Password used to connect to a mail server
    * @see #setUser
    */
   void setPassword(java.lang.String password);

   /**
    * Configuration for the mail service.
    */
   org.w3c.dom.Element getConfiguration();

   /**
    * Configuration for the mail service.
    */
   void setConfiguration(org.w3c.dom.Element element);

   /**
    * The JNDI name under which javax.mail.Session objects are bound.
    */
   void setJNDIName(java.lang.String name);

   java.lang.String getJNDIName();

   java.lang.String getStoreProtocol();

   java.lang.String getTransportProtocol();

   java.lang.String getDefaultSender();

   java.lang.String getSMTPServerHost();

   java.lang.String getPOP3ServerHost();

}
